makedev (2.3.1-97) unstable; urgency=medium

  * debian/control: reverted relationship removal. (Closes: #1012283)

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Fri, 03 Jun 2022 09:07:08 -0300

makedev (2.3.1-96) unstable; urgency=medium

  * New maintainer. (Closes: #543592)
  * debian/control: removed a relationship for udev.
  * debian/copyright: added packaging rights.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Wed, 01 Jun 2022 06:13:54 -0300

makedev (2.3.1-95) unstable; urgency=medium

  * QA upload.
  * Migrations:
      - DebSrc to 3.0.
      - debian/copyright to 1.0 format. Consequently:
          ~ debian/dirs: removed no longer needed line
            usr/share/lintian/overrides.
          ~ debian/makedev.lintian: no longer needed. Removed.
      - debian/rules to new (reduced) format.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
      - Closes: #965713
  * debian/control:
      - Added 'Rules-Requires-Root: binary-targets' to source stanza.
      - Bumped Standards-Version to 4.6.0.
      - Changed Vcs-* URLs to salsa.debian.org.
  * debian/gbp.conf: removed.
  * debian/lintian-overrides: created to override a false-positive about a
    device name.
  * debian/patches/:
      - 010_patches-from-1.0: created to gather old patches from DebSrc 1.0.
      - 020_fix-typos-manpage.patch: created to fix some typos in manpage.
  * debian/postinst: added 'set -e'.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 03 Feb 2022 01:51:59 -0300

makedev (2.3.1-94.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Dec 2020 17:03:04 +0100

makedev (2.3.1-94) unstable; urgency=medium

  * QA upload.
  * Don't attempt to create /dev devices when inside a container.
    - This uses systemd-detect-virt to catch them all, if the
      tool is installed. See LP: #1675163 for further reference.
  * Use priority 'optional' instead of 'extra'

 -- Matthias Klumpp <mak@debian.org>  Wed, 22 Aug 2018 22:18:42 +0200

makedev (2.3.1-93) unstable; urgency=low

  * QA upload.
  * Mark makedev as Multi-Arch: foreign to allow for mountall to be
    installable with multi-arch (needed for armhf containers on x86; thanks,
    Stéphane Graber).
  * Remove preinst script, which had a buggy version comparison and in any
    case only applied to upgrades from lenny (thanks, Steve Langasek;
    closes: #674218).

 -- Colin Watson <cjwatson@debian.org>  Thu, 09 May 2013 12:00:49 +0100

makedev (2.3.1-92) unstable; urgency=low

  * QA upload.
  * Fix "postinst fails on non-default Debian kernels and is
    useless on =< 3.4":
    drop check for kernel version >= 2.4
    (Closes: #685376)
  * Fix "/run transition: Please update use of /dev/.udev":
    additionally check for /run/udev, patch from Roger Leigh
    (release goal).
    (Closes: #644318)

 -- gregor herrmann <gregoa@debian.org>  Sun, 09 Sep 2012 14:15:33 +0200

makedev (2.3.1-91) unstable; urgency=low

  * QA upload.
  * Abort postinst when running no non-Linux kernels.
    (Closes: #665461, #665472)

 -- Robert Millan <rmh@debian.org>  Sat, 31 Mar 2012 11:55:47 +0200

makedev (2.3.1-90) unstable; urgency=low

  * finish orphaning package by changing maintainer to Debian QA Group
  * add Vcs entries to the control file
  * clean up a few lintian warnings

 -- Bdale Garbee <bdale@gag.com>  Wed, 21 Mar 2012 10:50:08 +0100

makedev (2.3.1-89) unstable; urgency=low

  * move to priority extra, closes: #522048
  * use dpkg --print-architecture instead of deprecated form, closes: #536540
  * eliminate explicit use of path for MAKEDEV calls in postinst
  * update standards and debhelper version dependencies

 -- Bdale Garbee <bdale@gag.com>  Thu, 30 Jul 2009 13:31:20 +0200

makedev (2.3.1-88) unstable; urgency=low

  * no need to squelch output of update-rc.d in preinst
  * patch from Stefan Lippers-Hollmann to fix lirc fifos, closes: #472526

 -- Bdale Garbee <bdale@gag.com>  Thu, 08 May 2008 08:28:21 -0600

makedev (2.3.1-87) unstable; urgency=low

  * move cbm target to group floppy, closes: #462892
  * since we previously only ran update-rc.d to remove links on purge, they
    may still be left around even though the init.d has been removed.  Update
    the preinst to call update-rc.d when upgrading to clean up this case,
    closes: #465739

 -- Bdale Garbee <bdale@gag.com>  Thu, 14 Feb 2008 16:14:10 -0700

makedev (2.3.1-86) unstable; urgency=low

  * oops, fix a bashism I introduced in the postinst of -85, closes: #462769

 -- Bdale Garbee <bdale@gag.com>  Mon, 28 Jan 2008 09:20:22 +1300

makedev (2.3.1-85) unstable; urgency=low

  * fix cut'n'paste error in cbm target, closes: #437329
  * add lirc target, closes: #393575
  * add support for 'lpia' variant of i386 architecture, closes: #453505
  * patch to eliminate obsolete init.d conffile from Petter Reinholdtsen,
    closes: #459677
  * update postinst to only attempt to make fb if the kernel is Linux, and
    move chmod of /dev/tty[0-9]* after the forced creation of those devices
    so postinst fails less particularly on kfreebsd, closes: #444979, #388270
  * major number for pktcdvd is now dynamic, don't try to create devices with
    old/wrong major number, closes: #405819

 -- Bdale Garbee <bdale@gag.com>  Mon, 28 Jan 2008 00:18:41 +1300

makedev (2.3.1-84) unstable; urgency=low

  * add 'fd' to the list of targets created in the postinst, closes: #394863
  * ensure subdir exists before trying to make uinput, closes: #406890
  * add armel to the architecture list, closes: #408810
  * correct LSB-formatted init.d script meta info, closes: #386712
  * init.d script is no longer needed, so remove it.  closes: #428222
  * add cbm target, closes: #437329

 -- Bdale Garbee <bdale@gag.com>  Fri, 28 Sep 2007 16:02:27 +0900

makedev (2.3.1-83) unstable; urgency=low

  * make urandom permissions match random, closes: #332983
  * fix typo in the LSBInitScripts support in init.d, closes: #378575, #386314

 -- Bdale Garbee <bdale@gag.com>  Wed,  6 Sep 2006 15:42:49 -0600

makedev (2.3.1-82) unstable; urgency=low

  * create 32 md* devices instead of 16, closes: #367406
  * Juhan Ernits patch to unify sed behavior across locales, closes: #363017
  * add LSBInitScripts support to init.d script, closes: #376992
  * patch from Ubuntu to ensure base tty* set exists in init.d, not just tty0
  * remove the alias 'fd' as a shorthand for 'fd0 fd1' to allow the real fd
    target to be reached, closes: #357143

 -- Bdale Garbee <bdale@gag.com>  Thu,  6 Jul 2006 09:06:06 -0600

makedev (2.3.1-81) unstable; urgency=low

  * add check for /dev/.udev in init.d at Md's request
  * create an 'alsa' target that suggests installing alsa-base, closes: #261439
  * add 'mcelog' target, closes: #302047
  * notify user if udev is detected and we're going to create devices other
    than in pwd, closes: #313391
  * add 'mtd' target.  don't add 'mtdblock', since it duplicates the existing
    'rom' target, closes: #344789

 -- Bdale Garbee <bdale@gag.com>  Tue, 11 Apr 2006 16:04:34 +0900

makedev (2.3.1-80) unstable; urgency=low

  * make armeb an alias for arm when picking generic target, closes: #333584
  * change section from base to admin
  * look for .udev/ in addition to .udevdb/ at Md's request
  * add target 'fuse', closes: #344728

 -- Bdale Garbee <bdale@gag.com>  Tue, 31 Jan 2006 06:49:21 +1100

makedev (2.3.1-79) unstable; urgency=low

  * have init script recognize udev as well as devfs, closes: #326083
  * change 'hd' and 'sd' targets to create 16 drives worth of devices by
    default, closes: #330218, #288129, #301367, #311678
  * change 'hd' to create 24 partitions by default, closes: #300913
  * change generic targets to use 'hd' and 'sd' instead of different numbers
    of drives by default
  * call cvt() function on all arguments, and have cvt() behave transparently
    if handed a target that isn't a macro
  * map null and zero to std in cvt(), closes: #296225, #296296
  * move to debhelper compat level 4

 -- Bdale Garbee <bdale@gag.com>  Thu,  6 Oct 2005 15:57:12 -0700

makedev (2.3.1-78) unstable; urgency=medium

  * update postinst syntax for chown call to owner:group, closes: #300791
  * fix from Frank Lichtenheld for missing arg in pmu target, closes: #301588

 -- Bdale Garbee <bdale@gag.com>  Sat, 26 Mar 2005 20:55:31 -0700

makedev (2.3.1-77) unstable; urgency=medium

  * update udev handling on advice from Marco d'Itri.  Handles more cases
    and provides the ability to override the avoidance logic if environment
    variable WRITE_ON_UDEV is set.  Urgency medium to help a new udev upload
    depending on this behavior get into sarge.  closes: #264421
  * change hwrandom to hwrng, closes: #295324
  * patch from Gaudenz Steinlin to add input/uinput support, closes: #294361
  * remove README.Debian, since the content is obsolete

 -- Bdale Garbee <bdale@gag.com>  Mon, 14 Mar 2005 16:53:32 -0700

makedev (2.3.1-76) unstable; urgency=low

  * make ppc64 an alias for powerpc, closes: #282687
  * add ttyB[0-7] to generic-hppa for console on K-class, etc, closes: #293705
  * add initial support for uba*, closes: #278237
  * add a target pmu duplicating pmu part of misc, closes: #267670, #277195
  * fix man page bug with mcdx, closes: #285258
  * add dac960_gam creation to dac960 target, closes: #272333

 -- Bdale Garbee <bdale@gag.com>  Mon,  7 Feb 2005 13:47:00 -0700

makedev (2.3.1-75) unstable; urgency=low

  * fix one more POSIX compliance issue in postinst, closes: #261477
  * patch from Thomas Schmidt to fix problems in handling DVB devices,
    which change major number at kernel 2.6.8, closes: #263136

 -- Bdale Garbee <bdale@gag.com>  Wed, 18 Aug 2004 12:42:40 -0600

makedev (2.3.1-74) unstable; urgency=low

  * add dac960 to generic-alpha, closes: #261320

 -- Bdale Garbee <bdale@gag.com>  Mon, 26 Jul 2004 00:17:59 -0700

makedev (2.3.1-73) unstable; urgency=low

  * support all three dasd partitions instead of just one, closes: #261347

 -- Bdale Garbee <bdale@gag.com>  Sun, 25 Jul 2004 19:51:42 -0700

makedev (2.3.1-72) unstable; urgency=low

  * fix typo in nnpfs0 creation, closes: #261012
  * abort if not running Linux, just like if devfs detected, closes: #257037

 -- Bdale Garbee <bdale@gag.com>  Fri, 23 Jul 2004 23:54:14 -0600

makedev (2.3.1-71) unstable; urgency=low

  * incorporate NMU from Marco d'Itri ... thanks!
  * handle arla change from xfs to nnpfs, closes: #257854
  * sparc generic now needs fd, eliminate fd*-bare targets, closes: #257927
  * fix some POSIX compliance issues in conditionals, closes: #259285

 -- Bdale Garbee <bdale@gag.com>  Tue, 20 Jul 2004 16:22:07 -0400

makedev (2.3.1-70) unstable; urgency=medium

  * NMU to move /etc/udev/.dev/ to /.dev/, Conflict with udev <= 0.024-7.
  * Do not fail if /proc is not mounted. (Closes: #246421)

 -- Marco d'Itri <md@linux.it>  Thu, 27 May 2004 22:50:44 +0200

makedev (2.3.1-69) unstable; urgency=medium

  * one more tweak to the udev detection
  * put $tty back to 0666, use it for /dev/tty (instead of $public which is
    group root) and for pty devices.  no other devices still use $tty...  It
    turns out I already fixed the /dev/tty[0-9]* permissions way back in -59,
    we just hadn't done anything in postinst to force them tighter on upgrade,
    ergo the confusion in -67 and -68.  [large sigh]
  * MAKEDEV creates /dev/tty[0-9]* as 0600, and mesg wiggles the group write
    bit, so make the postinst do 'chmod g-r,o= /dev/tty[0-9]*' instead of "o="

 -- Bdale Garbee <bdale@gag.com>  Tue, 27 Apr 2004 09:38:30 -0600

makedev (2.3.1-68) unstable; urgency=medium

  * oops, we need to leave 'tty' as 0666 as we tighten the permissions on
    other tty* devices, closes: #245761, #245737, #244735, #245718
  * mountpoint -q doesn't work in all cases to detect udev, try a different
    approach, closes: #245777, #245739
  * have the postinst do '/bin/chmod o= /dev/tty[0-9]*' to further address
    the console DOS potential raised in bug #244751

 -- Bdale Garbee <bdale@gag.com>  Sun, 25 Apr 2004 16:14:25 -0600

makedev (2.3.1-67) unstable; urgency=medium

  * change default permission on tty devices from 0666 to 0660, which makes
    denial of service attacks on the console by local users harder,
    closes: #244751
  * if udev is running and we're in /dev, relocate to /etc/udev/.dev/,
    thus avoiding the need for a diversion, closes: #245441
  * urgency cranked up to get these into testing soonish

 -- Bdale Garbee <bdale@gag.com>  Fri, 23 Apr 2004 16:06:41 -0600

makedev (2.3.1-66) unstable; urgency=low

  * make amd64 use generic-i386 instead of being unhandled, closes: #238486
  * add support for mwave, closes: #229926
  * rename intel_rng to hwrandom, closes: #234366
  * add support for making loop[0..255], closes: #227369
  * add usblcd and cpad0 per lanana creation to usb target, closes: #184740
  * force update of fb devices in postinst if kernel >= 2.4 and they already
    exist, closes: #232108
  * recognize 'drbd' as an alias for the 'nb' target, and up the default from
    2 to 8 nb devices created, closes: #235676
  * eliminate -V option from man page, closes: #235679
  * add 'input' to generic-i386 and generic-ia64, closes: #238081
  * add support for dvb, closes: #113602
  * add support for tilb, closes: #140004
  * add support for systrace, closes: #171640
  * rework video1394 support to create video1394/[0-15] devices, closes: #178634
  * add support for irnet, closes: #193179
  * add ttyS4 to generic targets to ease PCI modem use, closes: #193938
  * apply patch to improve tap device documentation in man page, closes: #198517
  * make the long description a bit more verbose, closes: #210034
  * add hiddev devices to usb target, closes: #214846

 -- Bdale Garbee <bdale@gag.com>  Fri,  2 Apr 2004 02:56:04 -0700

makedev (2.3.1-65) unstable; urgency=low

  * patch from John Darrah to avoid choking on Equinox serial ports which put
    extra tokens on the line in /proc/devices
  * patch from Henrique de Moraes Holschuh to protect against unexpected chars
    in /proc/devices entries, closes: #224582
  * use permission class 'dialout' for bluetooth devices, and increase
    robustness of the 'makedev' function, closes: #177118
  * freshen fb targets to reflect new minor numbers, closes: #186486, #186410

 -- Bdale Garbee <bdale@gag.com>  Sun, 25 Jan 2004 18:35:43 -0700

makedev (2.3.1-64) unstable; urgency=low

  * change fb permissions from 0620 to 0660 to allow mmap I/O
  * fix major number for hd[m-t] broken by typos, closes: #215443
  * repair openprom lines broken by typo in 2.3.1-60, closes: #218165

 -- Bdale Garbee <bdale@gag.com>  Tue,  2 Dec 2003 12:38:20 -0700

makedev (2.3.1-63) unstable; urgency=low

  * fix MIME mangling of dpti patch, closes: #178266
  * add support for video1394, closes: #178634
  * add support for remaining ide controllers
  * move from "." to ":" in chown calls, closes: #205365

 -- Bdale Garbee <bdale@gag.com>  Sat, 23 Aug 2003 15:29:35 -0600

makedev (2.3.1-62) unstable; urgency=low

  * patch from Stephen Frost to add tun support, closes: #147499
  * patch from Matt Zimmerman to make ubd support match current UML usage,
    closes: #174474
  * patch from Don Armstrong that actually closes 158763, mistakenly closed
    in 2.3.1-61... thanks to Eduard Bloch for pointing out my mistake.
  * make -V provide useful output instead of the ancient upstream RCSID, as
    per a non-BTS request from Jim Shofstall

 -- Bdale Garbee <bdale@gag.com>  Fri, 27 Dec 2002 14:39:33 -0700

makedev (2.3.1-61) unstable; urgency=low

  * patch from Eduard Bloch to add i2o raid support for use by boot-floppies
    on i386, closes: #158763, #144879

 -- Bdale Garbee <bdale@gag.com>  Thu, 26 Dec 2002 17:45:26 -0700

makedev (2.3.1-60) unstable; urgency=low

  * remove xd[ab] from generic-ia64, closes: #168833
  * add scd[01] to generic-m68k, closes: #157816
  * abort postinst without action if devfs detected, closes: #152279
  * make openprom world readable, closes: #157328
  * use symlink function, not explicit ln -f, closes: #159443
  * make rawctl and raw/raw* match structure in devices.txt, closes: #159863
  * eliminate smapi, move thinkpad to /dev/thinkpad/thinkpad, closes: #165701
  * fix broken for loop, closes: #167674
  * add target ttyB and ttyB[0..7] for parisc mux card, closes: #168304
  * add bluetooth target, closes: #163869
  * stop forcing /dev/full to 0622 in postinst, closes: #162261
  * move parsing of /proc/devices inside the update clause, closes: #159442
  * add SuperH support, closes: #155132

 -- Bdale Garbee <bdale@gag.com>  Thu, 12 Dec 2002 00:17:35 -0700

makedev (2.3.1-59) unstable; urgency=low

  * add 'sunmouse' to generic-arm, closes: #141391
  * add hd[abcd] to generic-hppa
  * 2.3.1-48 tightened permissions on (virtual) consoles, but not allp ways
    the devices could be created were caught.  finish cleaning up console
    permissions, simplifying things a bit in the process, closes: #25847
  * patches from Ian Zimmerman <itz@speakeasy.org> to eliminate dependencies
    on programs that live in /usr/bin, closes: #147144
  * rewritten man page for MAKEDEV from Chris Tillman, a vast improvement!
    closes: #147324, #30809, #69056
  * fix bashisms in first() and second(), closes: #151684

 -- Bdale Garbee <bdale@gag.com>  Sat,  6 Jul 2002 10:31:04 -0600

makedev (2.3.1-58) unstable; urgency=low

  * remove the word 'special' from the short description as it's redundant,
    thanks to Hendrik Naumann for pointing this out while translating it.
  * change default groups for irda devices to better match their use,
    closes: #135207
  * add support for ataraid using patch from Eduard Bloch, closes: #121863
  * add support for cciss using patch from Matt Kraai,
    closes: #132864, #132975, #136016

 -- Bdale Garbee <bdale@gag.com>  Sat,  2 Mar 2002 17:46:52 -0700

makedev (2.3.1-57) unstable; urgency=low

  * use group dip for /dev/ppp, closes: #123251
  * lose 'usbmouse' from the bus mice, since 10/32 is no longer a current
    device as far as I can see.
  * add target 'usb' which creates usb/{lp*,mouse*,ez*,scanner*}, usb/rio500,
    ttyACM*, and ttyUSB* devices.  These are all the USB devices I see listed
    in the 2.4.17 devices.txt file.  Since USB is a hotplug medium,
    mass-creation seems like a good strategy.  closes: #62222, #89932
  * add target 'paride' which creates pd[abcd]*, pcd[0-3], pf[0-3] devices
    in support of parallel port IDE controllers, closes: #113122
  * add recognition of 'ppp', 'usb', 'ramdisk' when running MAKEDEV update,
    don't whine about 'lvm' since no makedev support is required, leave 'nbd'
    unrecognized since I don't know what it is, closes: #113231

 -- Bdale Garbee <bdale@gag.com>  Wed,  2 Jan 2002 15:34:19 -0700

makedev (2.3.1-56) unstable; urgency=medium

  * add support for pktcdvd devices 0..3, closes: #99725
  * add support for ppp device, closes: #101172
  * add support for comedi devices 0..3, closes: #105417
  * increase number of raw devices from 4 to 8, and add rawctl symlink to
    raw, closes: #106087, #108296, #117846, #85694
  * set priority to medium since we'd like this in woody

 -- Bdale Garbee <bdale@gag.com>  Fri, 23 Nov 2001 15:20:13 -0700

makedev (2.3.1-55) unstable; urgency=low

  * add efirtc support, and add efirtc to generic-ia64 per Richard Hirst
  * add busmice to generic-mips to support ps2 mouse on Indy, closes: #115578
  * change some default permissions to improve consistency, closes: #114649
  * add ubd target to create ubd[0..255] for user mode linux, closes: #114585

 -- Bdale Garbee <bdale@gag.com>  Mon, 29 Oct 2001 10:36:13 -0700

makedev (2.3.1-54) unstable; urgency=low

  * add ttyS4 and ttyS5 to generic-ia64, needed for ACPI serial consoles
  * cosmetic tweaks to address lintian warnings

 -- Bdale Garbee <bdale@gag.com>  Wed, 26 Sep 2001 13:54:11 -0600

makedev (2.3.1-53) unstable; urgency=low

  * add support for mipsel, closes: #97529
  * update joystick major number to 13 consistently, closes: #96537
  * recognize ide4 and ide5 during update, closes: #92995
  * oops, /dev/cpu/microcode should be char, not block device,
    closes: #93160, #82720
  * add rtc to generic-hppa, closes: #94246
  * add 'raw' target for /dev/raw and /dev/raw[0-3], closes: #98064
  * add 'cpu' target as an alias for microcode, and have it create enough
    msr and cpuid devices for up to 4-way SMP, closes: #98266
  * add 'intel_rng' target, closes: #99774

 -- Bdale Garbee <bdale@gag.com>  Wed, 13 Jun 2001 13:40:04 -0600

makedev (2.3.1-52) unstable; urgency=low

  * add support for hppa and ia64
  * add support for s390, closes: #85228
  * change m68k, sparc, i386, and powerpc generic targets for boot-floppies,
    closes: #90995, #90996, #90997, #90999
  * check for .devfsd in current dir, not /dev, since that's where MAKEDEV
    creates devices, closes: #89857, #88050
  * create a new target 'input' and add it to generic-powerpc to support the
    new input subsystem currently used only for USB devices.  This addresses
    part of 62222 and 89932, and closes: #87854
  * fix remaining lintian warnings

 -- Bdale Garbee <bdale@gag.com>  Wed, 28 Mar 2001 21:00:28 -0700

makedev (2.3.1-51) unstable; urgency=low

  * patch to reduce noise from % in /proc/devices from Daniel Jacobowitz,
    add a bail-out check at the top of the MAKEDEV script to exit before trying
    to do anything if devfs is mounted... since MAKEDEV and devfsd don't mix!
    closes: #78018, #78170, #78200, #81326, #81434
    closes: #59513, #63458, #63953, #70648, #70737, #70961, #78127, #78497
  * fix typo regarding ide4/ide5 when creating hd[k-l], closes: #80828
  * fix backwards sunmouse/mouse linking, closes: #80871, #83035
  * make /dev/random writeable, as per Ted Ts'o, closes: #81748
  * add initial support for mips, closes: #82345
  * add support for cpu/microcode, closes: #82720

 -- Bdale Garbee <bdale@gag.com>  Mon,  5 Feb 2001 20:59:26 -0700

makedev (2.3.1-50) unstable; urgency=low

  * make /dev/agpgart in postinst if it's not already present, closes: #78216
  * fix backwards symlink for smapi/thinkpad, closes: #78700
  * use group dialout instead of private for ISDN devices, closes: #79594
  * no fix yet for the %d sometimes in new kernel /proc/devices, release
    anyway to get the above fixes in circulation

 -- Bdale Garbee <bdale@gag.com>  Wed, 20 Dec 2000 10:57:49 -0700

makedev (2.3.1-49) unstable; urgency=low

  * add raw1394 device, closes: #77946

 -- Bdale Garbee <bdale@gag.com>  Sat, 25 Nov 2000 13:21:20 -0700

makedev (2.3.1-48) unstable; urgency=low

  * tighten up permissions on /dev/tty[0-XX] and /dev/kbd, closes: #77168

 -- Bdale Garbee <bdale@gag.com>  Sat, 25 Nov 2000 09:45:42 -0700

makedev (2.3.1-47) unstable; urgency=low

  * incorporate changes from NMU's by Adam Di Carlo, closes: #74786
  * the tap* devices are created in the netlink target, make tap* work on the
    command line as aliases for netlink, closes: #70520
  * increase number of i2c devices made from 2 to 8, closes: #71633
  * add support for pcd parallel-port CDROM drives, closes: #74781
  * change permissions of fb* devices to root.video 0620, closes: #77593
  * the mix of devices created by makedev in various circumstances are not
    unreasonable.  Closes: #59558
  * the current framebuffer minor numbers match devices.txt in the 2.4.0 test
    kernel sources, closes: #60688
  * update postinst to always recreate /dev/console, so that the change from
    a symlink between kernel versions 2.0 and later gets handled correctly,
    closes: #60746
  * modify init.d fragment to only create /dev/MAKEDEV if it isn't already a
    symlink, closes: #63501

 -- Bdale Garbee <bdale@gag.com>  Fri, 24 Nov 2000 19:34:16 -0700

makedev (2.3.1-46.2) stable unstable; urgency=low

  * non-maintainer update
  * argh, target stable and unstable

 -- Adam Di Carlo <aph@debian.org>  Sun, 15 Oct 2000 14:01:16 -0400

makedev (2.3.1-46.1) unstable; urgency=low

  * non-maintainer update
  * 'symlink mcdx mcdx0' was reversed (one line patch)

 -- Adam Di Carlo <aph@debian.org>  Sun, 15 Oct 2000 04:36:30 -0400

makedev (2.3.1-46) stable unstable; urgency=medium

  * fix silly symlink loop between ram and ram1, closes: #69475, #69351
  * fix similar symlink reversal between scd and sr devices, and make 'sr'
    a valid target, not just when using 'update', closes: #69500
  * change agpart to agpgart as per devices.txt, closes: #69319
  * add sg* devices to generic targets that include SCSI, closes: #69231

 -- Bdale Garbee <bdale@gag.com>  Tue, 29 Aug 2000 01:13:30 -0600

makedev (2.3.1-45) stable unstable; urgency=low

  * incorporates work done by Martin Schulze <joey@finlandia.infodrom.north.de>
    with my profound thanks.
  * Added gscd and cm206cd device files, closes: #69057
  * Corrected mcdx drivers, support all five drives, closes: #69058
  * Corrected symlink creation (i.e. use symlink() instead of ln -s)
  * Added /dev/toshiba (Toshiba laptop SMM support), closes: #54729, #59242
  * Added sdc and sdd to generic-m68k since they were missing, closes: #61027
  * Made joystick devices readable by everybody (closes: Bug#61499)
  * Added '$opts' whenever $0 aka MAKEDEV gets called, thus `-n' is passed
    to the child properly, closes: #63159
  * Added hyphen `-' between i2c and the number as described by devices.txt,
    closes: #63523
  * Fixed wrong creation of hdi hdj hdk and hdl, closes: #64881
  * Added hdc and hdd to generic-powerpc since they were missing,
    closes: #65852
  * Added support for ttyI and cui (ignored) to 'update' target by
    modifying cvt(), closes: #66838
  * Corrected a whole bunch of math errors where a `$' was missing, trying
    to add 1 to 'minor', closes: #68915
  * Fixed /proc/devices-parser to ignore slashes, closes: #31854
  * Removed out-dated Replaces, closes: #61256
  * Added audioctl, closes: #60755
  * Added agpart, closes: #61084
  * Adjusted 3dfx to have file mode $video instead of $audio
  * Added ipmikcs (Intelligent Platform Management) with mode 0600 (mode
    may be unpracticable), closes: #67431

 -- Bdale Garbee <bdale@gag.com>  Tue, 15 Aug 2000 21:52:23 -0600

makedev (2.3.1-44) frozen unstable; urgency=low

  * patch from tausq for a case I missed when converting expr to $(( )),
    fixes problem creating sbpcd devices.  Target frozen since this was
    marked release-critical.  Closes: #63585

 -- Bdale Garbee <bdale@gag.com>  Sat,  6 May 2000 20:24:40 -0600

makedev (2.3.1-43) frozen unstable; urgency=low

  * add invocation of '/sbin/MAKEDEV std' to postinst to ensure key devices
    have proper owner/group/perms on upgrades, closes: #61367
  * replace /dev/MAKEDEV references with /sbin/MAKEDEV references in the
    postinst
  * target frozen since broken perms on /dev/tty keeps xterm from working
    which is very confusing and frustrating on upgrades.

 -- Bdale Garbee <bdale@gag.com>  Wed,  3 May 2000 14:27:04 -0600

makedev (2.3.1-42) frozen unstable; urgency=low

  * eliminate the use of expr, since it is in /usr, which may not be mounted
    during system recovery when makedev is often needed.  Target frozen since
    this was tagged release critical, closes: #62925

 -- Bdale Garbee <bdale@gag.com>  Mon, 24 Apr 2000 22:27:18 -0600

makedev (2.3.1-41) frozen unstable; urgency=low

  * Arrange for all scd* devices to have hardlinked sr* counterparts as per
    devices.txt.  Target frozen since this is release critical, closes: #61862

 -- Bdale Garbee <bdale@gag.com>  Fri,  7 Apr 2000 20:01:39 -0600

makedev (2.3.1-40) frozen unstable; urgency=low

  * fix flakey code for discovering proper major numbers for several device
    types.  This broke the raidtools postinst in some cases, which I think
    makes this worth adding to frozen, even though there's no bug in the BTS
    about it (problem reported and fixed during an IRC session).  There are
    still a few potential major number problems in MAKEDEV, but they're all
    for obscure devices that are not in devices.txt, and which I'll therefore
    probably remove entirely when rewriting makedev for woody.
  * fix type, smtpe should be smpte, closes: #59061

 -- Bdale Garbee <bdale@gag.com>  Sun, 19 Mar 2000 20:28:30 -0700

makedev (2.3.1-39) frozen unstable; urgency=low

  * add missing major number clause to thinkpad/smapi device, closes: #57381
    target frozen since this is clearly release-critical

 -- Bdale Garbee <bdale@gag.com>  Wed,  9 Feb 2000 12:07:07 -0700

makedev (2.3.1-38) frozen unstable; urgency=low

  * target frozen since 56724 was tagged release-critical
  * rework ftape stuff to match 2.2 kernel device definitions, closes: #56724
  * add code to create /dev/smapi and symlink it as /dev/thinkpad.  This can
    be called as either smapi or thinkpad.  Closes: #54714
  * add /dev/radio symlink to radio0, closes: #55649
  * update the netlink target to create fwmonitor and the tap* devices,
    closes: #54772
  * add IRDA device support, closes: #47296

 -- Bdale Garbee <bdale@gag.com>  Thu,  3 Feb 2000 23:51:58 -0700

makedev (2.3.1-37) unstable; urgency=low

  * add openprom entry for Sparc systems, closes: #54296

 -- Bdale Garbee <bdale@gag.com>  Fri,  7 Jan 2000 20:03:00 -0700

makedev (2.3.1-36) unstable; urgency=low

  * fix cyclades target to make 32 instead of 33 devices, and update man page
    to match what the code does, closes: #51892
  * add st0/st1/scd0/scd1 to generic-i386 and generic-alpha to improve the
    consistency across platforms, closes: #52871
  * create an initial generic-arm target, anticipating the need as debian-arm
    struggles to get ready to release with potato.
  * update handling of network block devices (nb) so that specifying a single
    device works as expected.  calling for 'nb' will give nb0 and nb1.
    Closes: #53781
  * support digital joysticks (djs) in joystick/js target, closes: #53314
  * update to current policy rev, add Build-Depends.

 -- Bdale Garbee <bdale@gag.com>  Fri,  7 Jan 2000 02:14:24 -0700

makedev (2.3.1-35) unstable; urgency=low

  * change group of video4linux devices to new group video appearing in
    base-passwd 3.0.4, closes: 51429

 -- Bdale Garbee <bdale@gag.com>  Sun, 28 Nov 1999 20:00:12 -0700

makedev (2.3.1-34) unstable; urgency=low

  * re-craft 'ida' target the same way we did dac960 to allow the boot-floopies
    folks to create just one or two cards worth.  Closes: #51341

 -- Bdale Garbee <bdale@gag.com>  Fri, 26 Nov 1999 17:54:56 -0700

makedev (2.3.1-33) unstable; urgency=low

  * add usbmouse support to busmice target, closes: #50326

 -- Bdale Garbee <bdale@gag.com>  Tue, 16 Nov 1999 03:20:03 -0700

makedev (2.3.1-32) unstable; urgency=low

  * add 'audio' to the targets for generic-i386, closes: #49935
  * craft an initial generic-alpha target to make the boot-floppies stuff
    work right.  For now, just clone the i386 target since I have no idea
    what is really needed...  closes: #49934
  * add support for creating ramN devices one at a time, closes: #49853
  * add target 'consoleonly' that creates the minimum number of devices to
    support /dev/console, and recraft the 'console' target to use it and then
    add all the vcs* devices, et al.  Closes: #49852
  * re-craft 'dac960' target to be a loop around targets dac960.[0-7] so that
    boot-floppies creators can create just one or two cards worth of devices
    instead of having to do them all.  Closes: #49864

 -- Bdale Garbee <bdale@gag.com>  Mon, 15 Nov 1999 22:38:43 -0700

makedev (2.3.1-31) unstable; urgency=low

  * fixes for major numbers on some oddball CDROM types, needed for boot disks

 -- Bdale Garbee <bdale@gag.com>  Wed, 10 Nov 1999 23:58:56 -0700

makedev (2.3.1-30) unstable; urgency=low

  * fill in a few more audio devices, closes: #49107

 -- Bdale Garbee <bdale@gag.com>  Wed,  3 Nov 1999 20:28:54 -0700

makedev (2.3.1-29) unstable; urgency=low

  * the /dev/vcs* handling is correct, closes: #42035
  * fix case construct for ht0, closes: #42519
  * fix major number determination for several devices, closes: #43560
  * add js2, js3 to joystick device creation, but leave owner/group/mode
    the same as for mice until/unless some more compelling argument is
    presented, closes: #43790
  * improve consistency of vcs device creation, making vcs0 and vcsa0, with
    symlinks for vcs and vcsa, closes: #45698
  * add support for /dev/3dfx, closes: #48734
  * /dev/sr* is obsolete, use /dev/scd*, closes: #32723
  * RH 2.5 was merged as of 2.3.1-24, closes: #45153
  * FHS compliance

 -- Bdale Garbee <bdale@gag.com>  Sat, 30 Oct 1999 16:53:32 -0600

makedev (2.3.1-28) unstable; urgency=medium

  * /o\ oops... -27 was broken badly.  Close 42355, 42359, 42361.

 -- Bdale Garbee <bdale@gag.com>  Tue,  3 Aug 1999 02:38:06 -0600

makedev (2.3.1-27) unstable; urgency=medium

  * fix loop's major number, closes 38559.
  * fix group of scd* to be cdrom, not disk.  Closes 41227, 41812.
  * add vbi symlink, closes 39406

 -- Bdale Garbee <bdale@gag.com>  Mon,  2 Aug 1999 00:59:19 -0600

makedev (2.3.1-26) unstable; urgency=medium

  * fix another syntax error introduced in -25...  /o\

 -- Bdale Garbee <bdale@gag.com>  Sat, 29 May 1999 03:12:32 -0600

makedev (2.3.1-25) unstable; urgency=medium

  * fix *ugly* typos introduced in -24, closes 38489, 38465.
  * update MAKEDEV to install the mouse -> sunmouse link in generic-sparc,
    in addition to making it in the postinst if needed.  Closes 38432.
  * have MAKEDEV exit with error 1 if we hit a "don't know how to make device"
    situation.  I'm a bit concerned about this since it *might* break a
    package postinst somewhere.  However, it is clearly the right thing to do
    on a purely conceptual level.  Closes 29974.
  * add support for Free S/WAN (IPSEC) device, closes 38372.

 -- Bdale Garbee <bdale@gag.com>  Wed, 26 May 1999 14:00:29 -0600

makedev (2.3.1-24) unstable; urgency=low

  * fold in patch from Espy to provide all the functionality of the RedHat
    makedev 2.5.  Leave our version number as 2.3.1-XX for now, since we're
    not actually cleanly derived from the 2.5 RedHat bits. Closes 37795, 28616.
  * make 'scd' act like 'scd-all', closes 37071
  * patch for postinst typo, closes 37612
  * move MAKEDEV to /sbin, create an init.d fragment to put a symlink in the
    /dev directory at boot time.  This should allow devfs to do its thing,
    closing 37795, 33025.

 -- Bdale Garbee <bdale@gag.com>  Wed, 26 May 1999 14:00:29 -0600

makedev (2.3.1-23) stable unstable; urgency=low

  * fix problems with st* and adb pointed out by Hartmut

 -- Bdale Garbee <bdale@gag.com>  Thu, 15 Apr 1999 08:39:39 -0600

makedev (2.3.1-22) unstable; urgency=low

  * add 'hamradio' as a target, which is a macro for the new scc[0-7] and
    bc[0-3] targets, closes 34773.

 -- Bdale Garbee <bdale@gag.com>  Wed, 14 Apr 1999 11:55:46 -0600

makedev (2.3.1-21) stable unstable; urgency=low

  * make /dev/mouse a symlink to /dev/sunmouse on sparc, closes 35616
  * have postinst create audio devices, closes 35646
  * also create [alm] suffix versions for st* devices, closes 33041
  * add support for hd[ijkl]... noticed while investigating bug 33798
  * use the same owner/group/perms for nvram that we use for kmem, closes 34111
  * add loop to the std device set, closes 34899

 -- Bdale Garbee <bdale@gag.com>  Wed, 14 Apr 1999 11:13:47 -0600

makedev (2.3.1-20) stable unstable; urgency=medium

  * release-critical fixes from Hartmut for powerpc, closes 34004

 -- Bdale Garbee <bdale@gag.com>  Wed, 10 Mar 1999 07:51:08 -0700

makedev (2.3.1-19) frozen unstable; urgency=medium

  * fix identification of 'sg' in update, closes the part of 33752 (grave)
    that I can duplicate on i386 in -18

 -- Bdale Garbee <bdale@gag.com>  Tue, 23 Feb 1999 07:44:30 -0700

makedev (2.3.1-18) frozen unstable; urgency=medium

  * as requested by Wichert, have the postinst force /dev/kmem owner, group,
    and permissions since this is a security issue, closes 33703.
  * another patch needed for m68k slink boot floppies from Michael Schmitz

 -- Bdale Garbee <bdale@gag.com>  Mon, 22 Feb 1999 22:56:47 -0700

makedev (2.3.1-17) frozen unstable; urgency=low

  * Wichert points out that /dev/kmem doesn't need to be group writeable.

 -- Bdale Garbee <bdale@gag.com>  Sat, 20 Feb 1999 16:12:29 -0700

makedev (2.3.1-16) frozen unstable; urgency=medium

  * apply patch for m68k that is release-critical for slink

 -- Bdale Garbee <bdale@gag.com>  Fri, 19 Feb 1999 20:07:05 -0700

makedev (2.3.1-15) frozen unstable; urgency=medium

  * fix major number for sunmouse as per Eric Delaunay, closes 33425
  * tighten default permission on mouse and joystick devices, closes 32378
  * change audio devices to root.audio 660, closes 32849
  * apply patch from Eric Delaunay to fix problem with scsi devices and 2.2
    kernels, closes 32999
  * target 'frozen' since the sunmouse fix at the very least should be in
    slink...

 -- Bdale Garbee <bdale@gag.com>  Wed, 17 Feb 1999 16:53:41 -0700

makedev (2.3.1-14) frozen unstable; urgency=low

  * additions from Eric Delaunay needed for sparc frozen, closes 32458

 -- Bdale Garbee <bdale@gag.com>  Wed, 27 Jan 1999 13:54:31 -0700

makedev (2.3.1-13) frozen unstable; urgency=low

  * make random/urandom available separately, not just in std, closes 32145

 -- Bdale Garbee <bdale@gag.com>  Tue, 19 Jan 1999 21:27:14 -0700

makedev (2.3.1-12) frozen unstable; urgency=low

  * add random/urandom to the std target, closes 31562 and 29193
  * update manpage to indicate the manpage is out of date, I need to make a
    chunk of time at some point to give it a thorough review/update.
  * don't make /dev/cua*, fix group on /dev/ttyS*, closes 30867
  * change postinst to use syntax that isn't bash-specific, closes 18807
    and 30849

 -- Bdale Garbee <bdale@gag.com>  Sat,  9 Jan 1999 00:39:25 -0700

makedev (2.3.1-11) frozen unstable; urgency=low

  * allow 16 sd's instead of 8, as the kernel does.  closes 30555.
  * create hdc and hdd in generic-i386, and create 20 partitions per hd
    instead of 4, closes 30522.
  * go back (forward?) to using 'u' instead of '[DHE]' in fd entries,
    closes 30438.
  * add 'fb' to both the generic-i386 and generic-powerpc clauses, closes
    29228

 -- Bdale Garbee <bdale@gag.com>  Sat, 12 Dec 1998 08:10:22 -0700

makedev (2.3.1-10) frozen unstable; urgency=low

  * instead of having the postinst explicitly link /dev/console, have it
    call MAKEDEV if console doesn't exist.  Update MAKEDEV to know how to
    link it for 2.0 kernels and prior, and create the explicit device for
    2.1 and later running kernels.  Building this based on running kernel
    revision doesn't feel clean, but I see no better way.

 -- Bdale Garbee <bdale@gag.com>  Sun,  8 Nov 1998 18:49:30 -0700

makedev (2.3.1-9) frozen unstable; urgency=low

  * fix postinst to cd to /dev so that devices don't end up in /, now that
    we don't do the cd in MAKEDEV itself
  * move 'generic' to 'generic-i386', and have 'generic' use dpkg to determine
    which generic-<arch> to use... this paves the way for fixing support for
    other architectures.
  * Several changes per drow on IRC:
      change MAXVT from 8 to 63
      change sd[ab] to create 15 instead of 8 subdevices
      fix char->block on one scd instance
      diffs to add support for powerpc machines

 -- Bdale Garbee <bdale@gag.com>  Sun,  8 Nov 1998 18:49:30 -0700

makedev (2.3.1-8) frozen unstable; urgency=low

  * add support for ram0 to the ram* list (0 was omitted), part of 28933.
  * device 'rtc' was part of 'misc', give it a top-level entry too to reduce
    possible confusion.  Part of 28933.
  * add an entry for 'initrd', closes 28933 (slink release-critical).

 -- Bdale Garbee <bdale@gag.com>  Sun,  8 Nov 1998 10:18:37 -0700

makedev (2.3.1-7) frozen unstable; urgency=low

  * now that MAKEDEV is a script, this can be an 'all' package instead of
    an 'any'.  Thanks to Hartmut Koptein for pointing this out.

 -- Bdale Garbee <bdale@gag.com>  Fri,  6 Nov 1998 11:42:58 -0700

makedev (2.3.1-6) frozen unstable; urgency=low

  * add ttyS entry so update works with recent 2.1 kernels

 -- Bdale Garbee <bdale@gag.com>  Mon,  2 Nov 1998 21:47:34 -0700

makedev (2.3.1-5) frozen unstable; urgency=low

  * fix typo affecting fb devices, closes 28742
  * fix syntax used for wildcarded devices, part of closing 28769
  * fix error in minor numbers for isdn-ippp, part of closing 28769

 -- Bdale Garbee <bdale@gag.com>  Sun,  1 Nov 1998 23:09:45 -0700

makedev (2.3.1-4) frozen unstable; urgency=low

  * add support for additional scd and sg devices, closes 28029.
  * change device names for busmice back to what we used in makedev-1.*, which
    is also what the kernel documentation uses.  Closes 28143.
  * add support for various devices in contemporary kernels, closes 27720.

 -- Bdale Garbee <bdale@gag.com>  Wed, 28 Oct 1998 23:41:58 -0700

makedev (2.3.1-3) unstable; urgency=low

  * use 'dialout' instead of 'serial' to select owner/group/perms for ISDN
    devices, closes 27536
  * use 'dialout' as group for serial devices instead of 'uucp' to be
    compatible with prior Debian makedev packages.

 -- Bdale Garbee <bdale@gag.com>  Wed,  7 Oct 1998 22:50:36 -0600

makedev (2.3.1-2) unstable; urgency=low

  * fix scd-all and sg-all entry points.  The latter is just an alias for 'sg',
    but the former was genuinely missing.  Switch sg devices to numeric suffix
    to comply with kernel's devices.txt.  Closes 27490.
  * close 26586, since I'm pretty sure it's a weirdy not caused by the package.
  * add ISDN devices, closes 26971.
  * add cfs0 for CODA, closes 23815.

 -- Bdale Garbee <bdale@gag.com>  Tue,  6 Oct 1998 00:33:59 -0600

makedev (2.3.1-1) unstable; urgency=low

  * New upstream version.  This is a *significant* change!
    This is a move (back?) from the short-lived makedev that depended on a
    non-free parser to the one that is just a shell script.  We will now be
    more like other Linux distributions, no longer depending on a non-free
    hunk of code to build the makedev package, and some porting and other
    issues will get better.
  * With the major change in upstream code, several bugs are not relevant
    any more.  Therefore, close 12949, 18037, 18807, 20665, 22648, 22868,
    23771, 23898, 24477, 24572, 25660, 25840, 26058.
  * add support for /dev/ptmx, built as part of pty*, closes 23612.
  * add support for /dev/ed[ab], closes 23887.

 -- Bdale Garbee <bdale@gag.com>  Sun,  6 Sep 1998 21:21:32 -0600

makedev (1.6-32) frozen unstable; urgency=medium

  * serial devices now owned by root.dialout, closes 22297 (important)
  * tape devices now owned by root.tape, closes 11910
  * be explicit about which 'ls' we're calling, closes 22225

 -- Bdale Garbee <bdale@gag.com>  Fri, 22 May 1998 23:52:58 -0600

makedev (1.6-31) unstable; urgency=low

  * add powerpc support, closes 21949
  * lose the menu entry

 -- Bdale Garbee <bdale@gag.com>  Sat,  2 May 1998 01:29:06 -0600

makedev (1.6-30) unstable; urgency=low

  * change from debmake to debhelper
  * fix errors and warnings reported by lintian
  * deliver devices.sgml instead of trying to build the .txt and .html files,
    closes bug 16953

 -- Bdale Garbee <bdale@gag.com>  Mon,  9 Feb 1998 22:31:43 -0700

makedev (1.6-29) unstable; urgency=low

  * add arpd device, on request of Elie Rosenblum <erosenbl@nyx.net>.

 -- Bdale Garbee <bdale@gag.com>  Wed, 14 Jan 1998 09:42:14 -0700

makedev (1.6-28) unstable; urgency=low

  * new maintainer

 -- Bdale Garbee <bdale@gag.com>  Fri,  5 Dec 1997 23:22:57 -0700

makedev (1.6-27) unstable; urgency=low

  * changed /dev/console handling.
  * updated devinfo to kernel 2.1.62 device list.
  * changed all device with group "sys" to group "root".

 -- Andreas Jellinghaus <aj@debian.org>  Sat,  8 Nov 1997 11:56:18 +0100

makedev (1.6-26) unstable; urgency=low

  * fixed bug #13787 : amigamouse1 was not corrected by postinst.
  * fixed ad devices.
  * added nvram device, added ad* to std-hd-m68k, added ttyS4 and ttyS6
    to m68k boot-floppies and m68k generic

 -- Andreas Jellinghaus <aj@debian.org>  Thu, 16 Oct 1997 20:09:14 +0200

makedev (1.6-25) unstable; urgency=low

  * bug #9077 is obsolete (kernel bug, fixed in kernel).
  * libc6 release : closes bugs #12791 and #13122.
  * fixed bug #12158 : added sr* and sg* devices.
  * fixed bug #12385 : wrong standard number.

 -- Andreas Jellinghaus <aj@debian.org>  Fri, 19 Sep 1997 16:12:32 +0200

makedev (1.6-24) unstable; urgency=low

  * removed support for old floppy devices.
  * only create generic floppy devices.

 -- Andreas Jellinghaus <aj@debian.org>  Wed, 10 Sep 1997 10:31:53 +0200

makedev (1.6-23) unstable; urgency=low

  * renamed isdn batches : isdn-xx is 8 devices, isdn-xx-all are 64
    devices (isdn-io, isdn-tty, isdn-ippp, isdn-cu).
  * increased numer to 5500 devices. (makedev is getting too large).

 -- Andreas Jellinghaus <aj@debian.org>  Mon,  8 Sep 1997 21:40:11 +0200

makedev (1.6-22) unstable; urgency=low

  * bugfix with cvstree (i forgot to commit befor tagging :-()

 -- Andreas Jellinghaus <aj@debian.org>  Mon,  8 Sep 1997 21:30:08 +0200

makedev (1.6-21) unstable; urgency=low

  * bugfix : out of memory. aarrgg : makedev has fixed size tables.

 -- Andreas Jellinghaus <aj@debian.org>  Mon,  8 Sep 1997 21:28:24 +0200

makedev (1.6-20) unstable; urgency=low

  * corrected problem with my own cvs tree

 -- Andreas Jellinghaus <aj@debian.org>  Sun,  7 Sep 1997 16:54:10 +0200

makedev (1.6-19) unstable; urgency=low

  * changed /dev/full to mode 0622 (0666 was a security hole, as
  			discussed on linux-kernel).

 -- Andreas Jellinghaus <aj@debian.org>  Sun,  7 Sep 1997 16:22:27 +0200

makedev (1.6-18) unstable; urgency=low

  * added isdn-*-small devices (only 8 devices, not 64).

 -- Andreas Jellinghaus <aj@debian.org>  Fri, 22 Aug 1997 12:57:20 +0200

makedev (1.6-17) unstable; urgency=low

  * close bug 6541 (missing audio device) : not reproducible
  * generate random and urandom, if missing (bug #12134)
  * enabled makedev to create more sg* and sr* devices (bug #12158)
  * changed doubletalkt to dtlk as requested
  * sd[a-h]16 removed (bug, sda16 = sdb, scsi only supports 15
    partitions)

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 17 Aug 1997 19:19:33 +0200

makedev (1.6-16) stable unstable; urgency=low

  * security bug fixed : all mouse devices are now mode 600.

 -- Andreas Jellinghaus <aj@debian.org>  Wed, 30 Jul 1997 10:31:04 +0200

makedev (1.6-15) unstable; urgency=low

  * ibcs2 removed from generic set. revised ibcs2-unoff.

 -- Andreas Jellinghaus <aj@debian.org>  Tue, 29 Jul 1997 13:13:43 +0200

makedev (1.6-14) unstable; urgency=low

  * bug in postinst : type "MAKDEV" and "/dev/tty0" instead of "tty0" (#11441)
  * stable version (libc5 compiled) for isdnutils

 -- Andreas Jellinghaus <aj@debian.org>  Fri, 25 Jul 1997 10:12:14 +0200

makedev (1.6-13) unstable; urgency=low

  * fixed menu entry (thanks to Abdallah Chatila <acha@poboxes.com>)

 -- Andreas Jellinghaus <aj@debian.org>  Wed,  9 Jul 1997 21:33:55 +0200

makedev (1.6-12) unstable; urgency=low

  * bug fix (changed doubletalk to class audio).

 -- Andreas Jellinghaus <aj@debian.org>  Wed,  9 Jul 1997 09:45:38 +0200

makedev (1.6-11) unstable; urgency=low

  * Fixed isdn devices (ippp were missing).
  * No longer create isdn device as default (that is done by isdnutils).
  * Added doubletalk device. Added more ibcs2 stuff.

 -- Andreas Jellinghaus <aj@debian.org>  Tue,  8 Jul 1997 19:04:45 +0200

makedev (1.6-10) unstable stable; urgency=low

  * fixed console device, added documentation.

 -- Andreas Jellinghaus <aj@debian.org>  Wed, 25 Jun 1997 13:20:46 +0200

makedev (1.6-9) unstable stable; urgency=low

  * Added comment about cua devices.

 -- Andreas Jellinghaus <aj@debian.org>  Tue, 24 Jun 1997 09:21:20 +0200

makedev (1.6-8) unstable stable; urgency=low

  * changed /dev/console to be a symlink to /dev/tty0.

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 22 Jun 1997 21:42:35 +0200

makedev (1.6-7) unstable stable; urgency=low

  * fixed bug with possible /dev/console symlink.
  * fixed bug with not always creating /dev/tty0. (xfree 3.3 need this)

 -- Andreas Jellinghaus <aj@debian.org>  Thu, 19 Jun 1997 22:38:46 +0200

makedev (1.6-6) unstable; urgency=low

  * fixed documentation (thanks to David Welton <davidw@efn.org>)
  * patch for m68k from frank neumann included

 -- Andreas Jellinghaus <aj@debian.org>  Mon,  9 Jun 1997 15:45:00 +0200

makedev (1.6-5) unstable; urgency=low

  * libc6 release
  * added postinst script to change tty/pty devices to new major
    numbers (the next time you boot).
  * changed all serial devices from root.dialout to uucp.dialout
  * added generic-ARCH batches
  * changed (u)random permissions from 444 to 644
  * corrected mcd/mcdx handling.
  * small bugfix in manpages.

 -- Andreas Jellinghaus <aj@debian.org>  Thu, 24 Apr 1997 19:12:58 +0200

makedev (1.6-4) unstable frozen; urgency=low

  * fixed manpage, added generic-m68k, added mfd0, changed framebuffer
        create both : fb[01] and fb[01]current, changed framebuffer
        class to mode 664. disabled adb (apple desktop bus).
        this fixes bug #9053
  * fixed mitsumi cdrom detection.

 -- Andreas Jellinghaus <aj@debian.org>  Wed, 23 Apr 1997 16:23:50 +0200

makedev (1.6-3) unstable frozen; urgency=low

  * bug fixed : st?l devices (nor st?1).
  * only create fd0 and fd1 with generic
  * separated old device names to "-old" groups
  * not generating cm205cd by default
  * "boot-floppy" added with less devices
  * documentation in sgml and txt format

 -- Andreas Jellinghaus <aj@debian.org>  Wed, 16 Apr 1997 12:58:56 +0200

makedev (1.6-2) unstable frozen; urgency=high

  * new maintainer Andreas Jellinghaus <aj@debian.org>
  * rewrote devinfo (according to linux allocated devices, 2.0.30,2.1.31
  * this fixes bug #8396 (isdn devices)
  * this fixes bug #8399 (don't generate cu* devices)
  * this fixes bug #7144 (device for goldstar cdrom - gscd)
  * this fixes bug #8173 (new names for floppy devices fd*)
  * this fixes bug #8068 (hd[efgh] devises added : now ide[0123])
    (this includes: renamed all floppy device (bug #8173),
  * this fixes bug #3493 (isdn devices)
  * this fixes bug #5542 (ttyS* group dialout, cu* not generated)
  * this fixes bug #6926 (loop back devices corrected)
  * this fixes bug #6983 (loop back devices creatable)
  * this fixes bug #7038 (mcd device creatable (only one))
  * this fixes bug #7754 (sr* devices are created for compatibility)
  * this fixes parts of bug #7783 (only new tty/pty are created)
  * bug #7755 obsolete (old cat file ? current man page is ok)
  * bug #8009 obsolete (disks 1997-04-04 are ok)
  * remove from generic : cua[0-3] lmscd ram sbpcd[9-15] vcs0
    added to generic: X0R aztcd beep bpcd cm205cd cm206cd exttrp gscd
      hd[efgh]* hitcd hwtrap initrd ippp* jbm loop* mcd md* modreq nsfd
      nst*[1am] optcd ram[0-7] ramdisk relay16 relay8 rtc sd[abcdefgh][9-16]
      sequence2 sg[0-7] sjcd socksys spx sr[0-7] st*[1am] tpqic* tty[13-63]
      ttyI[0-63] urandom vcs vcs[13-63] vcsa vcsa[13-63] watchdog
         (ca. + 600 devices, size + 11 k in a ext2fs)

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 13 Apr 1997 21:06:14 +0200

makedev (1.6-1) unstable; urgency=low

  * New upstream version.

 -- Bruce Perens <bruce@pixar.com>  Wed, 19 Mar 1997 20:40:17 -0800

makedev (1.5-4) unstable; urgency=low

  * Add devices. Increase the maximum size of a batch from 32 to 1024.

 -- Bruce Perens <bruce@pixar.com>  Tue, 17 Dec 1996 20:34:06 -0800

makedev (1.5-3) unstable; urgency=low

  * Make hd[a-d][8-20] and sd[a-h][8-20]. Remove bad empty "omit" from
    makedev.cfg

 -- Bruce Perens <bruce@pixar.com>  Sun, 8 Dec 1996 09:42:18 -0800

makedev (1.5-2) unstable; urgency=low

  * Change class of ttySn devices to dialout.
  * Add ISDN.

 -- Bruce Perens <bruce@pixar.com>  Fri, 6 Dec 1996 21:17:12 -0800

makedev (1.5-1) unstable; urgency=low

  * Initial Release.

 -- Bruce Perens <bruce@pixar.com>  Wed, 30 Oct 1996 20:36:44 -0800
